#
# Conditional build:
%bcond_without	appindicator	# application indicators support

%define	gtk3_ver	3.22.0
Summary:	Integrates polkit authentication for MATE desktop
Summary(pl.UTF-8):	Integracja uwierzytelniania polkit ze środowiskiem MATE
Name:		mate-polkit
Version:	1.22.0
Release:	1
License:	LGPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.22/%{name}-%{version}.tar.xz
# Source0-md5:	3cfeacfcfc89d79c8275b355bb778fe3
URL:		http://wiki.mate-desktop.org/mate-polkit
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools >= 0.10.40
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gobject-introspection-devel >= 0.6.2
BuildRequires:	gtk+3-devel >= %{gtk3_ver}
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	intltool >= 0.35.0
%if %{with appindicator}
BuildRequires:	libappindicator-gtk3-devel >= 0.0.13
%endif
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	mate-common
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.97
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# needed for gobject-introspection support (Gtk-3.0.gir -> Gdk-3.0.gir -> cairo-1.0.gir, which requires libcairo-gobject.so)
BuildRequires:	cairo-gobject-devel
Requires:	glib2 >= 1:2.50.0
Requires:	gtk+3 >= %{gtk3_ver}
Requires:	polkit-libs >= 0.97
%if %{with appindicator}
Requires:	libappindicator-gtk3 >= 0.0.13
%endif
Obsoletes:	mate-polkit-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE polkit integrates polkit with the MATE Desktop environment. MATE
polkit is a fork of GNOME polkit.

%description -l pl.UTF-8
Integracja uwierzytelniania polkit ze środowiskiem MATE. MATE polkit
to odgałęzienie pakietu GNOME polkit.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_appindicator:--disable-appindicator} \
	--disable-silent-rules \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,kab,ku_IQ,ur_PK}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libexecdir}/polkit-mate-authentication-agent-1
%{_sysconfdir}/xdg/autostart/polkit-mate-authentication-agent-1.desktop
%changelog
* Tue Mar 19 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-polkit.git;a=log;h=master

* Mon Mar 18 2019 Jan Palus <atler@pld-linux.org> a6c223e
- up to 1.22.0

* Sat Dec 22 2018 Jan Palus <atler@pld-linux.org> 625e225
- up to 1.20.2

* Sat Jun 16 2018 Jan Palus <atler@pld-linux.org> 6d7e9ae
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> 02fd36b
- up to 1.20.0

* Sat Nov 18 2017 Jan Palus <atler@pld-linux.org> b4274ba
- up to 1.18.2

* Tue May 09 2017 Jakub Bogusz <qboosh@pld-linux.org> a6de3d8
- updated to 1.18.1

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> 203f5f0
- up to 1.18.0

* Fri Oct 28 2016 Jakub Bogusz <qboosh@pld-linux.org> c04b39c
- updated comment

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> 6b270a3
- up to 1.16.0

* Sat Jul 16 2016 Jakub Bogusz <qboosh@pld-linux.org> bcc9b7f
- package NEWS

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 47390c1
- up to 1.14.0

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 0039cfe
- handle appindicator support
- investigated cairo-gobject issue

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> 68dbdbc
- up to 1.12.0

* Sun Sep 20 2015 Jan Palus <atler@pld-linux.org> f37ee64
- up to 1.10.2

* Fri Sep 04 2015 Elan Ruusamäe <glen@delfi.ee> c25c3ae
- up to 1.10.1

* Thu Apr 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 27e01c5
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> aac4a67
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 6267fb6
- updated gettext BR

* Mon Jul 07 2014 Jakub Bogusz <qboosh@pld-linux.org> c02ebaf
- cmn locale is supported now
- added gtk3 bcond

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 562f0bd
- up to 1.8.0
- run autotools

